#ifndef LIBISECT_H
#define LIBISECT_H

#ifdef _Windows
#include <winsock.h>
#ifdef __WIN32__
#define far
#endif
#define Xport _export far pascal
#else
#define Xport
#endif

/*
Time is so difficult...
*/
#include <sys/time.h>
#include <unistd.h>
#define ISDTIMETYPE struct timeval
extern void gettime(ISDTIMETYPE *);

extern char * Xport strTime(void);
extern char * Xport strupr(char *);
#ifdef _Windows
extern void Xport gettimeofday(struct timeval *tv);


#endif

#endif
